Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.domain
Class ProcessedMsgResponse<T>

    java.lang.Object
      be.ehealth.businessconnector.genericasync.domain.ProcessedMsgResponse<T>

Direct Known Subclasses:
  M4ACnfXmlProcessedMsgResponse, M4AXmlProcessedMsgResponse, RejectXmlProcessedMsgResponse

    public class ProcessedMsgResponse<T>

extends Object

Wrapper class containing the various elements of a `MsgResponse`. It wraps and expose through getter metods:

- the signature data, if relevant (xades and signed data)
- the signature verification results generated by the Connector, if relevant (a `SignatureVerificationResult`
- the raw decrypted blob where the above data was derived from, namely a a `EncryptedKnownContent`
- the actual business response through the `getBusinessResponse` generic method

Constructor Summary
`ProcessedMsgResponse(MsgResponse msgResponse, T businessResponse, EncryptedKnownContent encryptedKnownContent, SignatureVerificationResult signatureVerificationResult, byte[] signedData)`
`ProcessedMsgResponse(MsgResponse msgResponse, T businessResponse, SignatureVerificationResult signatureVerificationResult, byte[] signedData)`

Method Summary
`T` | `getBusinessResponse()`
`MsgResponse` | `getMsgResponse()`
`EncryptedKnownContent` | `getRawDecryptedBlob()`
`SignatureVerificationResult` | `getSignatureVerificationResult()`
`byte[]` | `getSignedData()`
`void` | `setBusinessResponse(T businessResponse)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessedMsgResponse

    public ProcessedMsgResponse(MsgResponse msgResponse,
                                T businessResponse,
                                EncryptedKnownContent encryptedKnownContent,
                                SignatureVerificationResult signatureVerificationResult,
                                byte[] signedData)

### ProcessedMsgResponse

    public ProcessedMsgResponse(MsgResponse msgResponse,
                                T businessResponse,
                                SignatureVerificationResult signatureVerificationResult,
                                byte[] signedData)

Method Detail

### getBusinessResponse

    public T getBusinessResponse()

### setBusinessResponse

    public void setBusinessResponse(T businessResponse)

### getRawDecryptedBlob

    public EncryptedKnownContent getRawDecryptedBlob()

### getSignatureVerificationResult

    public SignatureVerificationResult getSignatureVerificationResult()

### getSignedData

    public byte[] getSignedData()

### getMsgResponse

    public MsgResponse getMsgResponse()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.